\name{PME-class}
\docType{class}
\alias{PME-class}
\alias{plot,PME,missing-method}
\alias{show,PME-method}
\title{Class: Partial Moments Expectation}
\description{Partial Moments Expectation CLass}
\section{Objects from the Class}{
Objects are usually created by calls to the function \code{\link{pmExpectation}}.
}
\section{Slots}{
	 \describe{
    \item{\code{datanames}:}{ The column names of the dataset.}
    \item{\code{standardize}:}{ Logical Vector.}
    \item{\code{tail}:}{Identifies whether lower or upper.}
    \item{\code{moment}:}{The Partial Moment.}
    \item{\code{method}:}{Identifies the estimation methods used.}
    \item{\code{threshold}:}{ The vector of thresholds.}
    \item{\code{distribution}:}{The vector of distributions used if method was analytical else it will default to empirical.}
    \item{\code{pm}:}{The vector with the calculated partial moments.}
    \item{\code{data}:}{The original data matrix.}
  }
}
\section{Extends}{
Class \code{"\linkS4class{PartialMoments}"}, directly.
}
\section{Methods}{
  \describe{
    \item{pcmExpectation}{\code{signature(pme = "PME")}: The partial co-moments expectation makes use of this object. }
    \item{show}{\code{signature(object = "PME")}: Show Method }
    \item{plot}{\code{signature(x = "PME", y="missing")}: Plot Method }
	 }
}
\note{
Depending on the combination of inputs used and the type of method chosen, some or all plots will be
available. Furthermore, plotting for method \dQuote{analytical} and \dQuote{sample} 
is not yet implemented.
}
\references{
Fishburn, P.C., Decision and Value Theory, 1964, Wiley, New York\cr
Fishburn, P.C., Mean-Risk Analysis with Risk Associated with Below-Target Returns, 1977, American Economic Review, 67, 116-126\cr
}
\author{ Alexios Ghalanos }
\examples{
showClass("PME")
}
\keyword{classes}