\name{PMSOLVER-class}
\docType{class}
\alias{PMSOLVER-class}
\alias{PMSOLVER}
\alias{plot,PMSOLVER,missing-method}
\alias{lines,PMSOLVER-method}
\alias{show,PMSOLVER-method}
\alias{weightsPlot,PMSOLVER-method}
\alias{weightsPlot}
\alias{weightsPie,PMSOLVER-method}
\alias{weightsPie}
\title{Class: PMSOLVER}
\description{Partial Moments Solver Class}
\section{Objects from the Class}{
Objects are usually created by calls to the function \code{\link{pmSolver}}.
}
\section{Slots}{
	 \describe{
    \item{\code{weights}:}{Solver Weights Matrix}
    \item{\code{riskMeasure}:}{Solver Risk Measure}
    \item{\code{rewardMeasure}:}{Solver Reward Measure}
    \item{\code{riskAversion}:}{Risk Aversion Coefficient}
    \item{\code{riskFree}:}{Risk Free Rate}
    \item{\code{tangent}:}{Tangency Point in Frontier Solution}
    \item{\code{moment}:}{Partial Moment}
    \item{\code{solverMessage}:}{Solver Convergence Message}
    \item{\code{solver}:}{Type of Solver (Quadratic only)}
    \item{\code{solverType}:}{Type of solver I-IV}
    \item{\code{assetnames}:}{Asset Names}
  }
}
\section{Extends}{
Class \code{"\linkS4class{PartialMoments}"}, directly.
}
\section{Methods}{
  \describe{
    \item{lines}{\code{signature(x = "PMSOLVER")}: Lines method }
    \item{plot}{\code{signature(x = "PMSOLVER", y = "missing")}: Plots method }
    \item{show}{\code{signature(object = "PMSOLVER")}: Show method }
    \item{weightsPlot}{\code{signature(object = "PMSOLVER")}: Frontier Weights Plot Method }
    \item{weightsPie}{\code{signature(object = "PMSOLVER")}: Single Point Weights Pie Chart Method }	 }
}
\references{
Nawrocki, David N. (1991), Optimal algorithms and lower partial moment: ex post results, Applied Economics, 23 (3), 465---70.\cr
}\author{ Alexios Ghalanos }
\note{The plot method is only valid for frontier plots. Use the weightsPie instead for single point optimzation 
(type dQuote{I},dQuote{II} and dQuote{III}).}
\examples{
showClass("PMSOLVER")
}
\keyword{classes}