\name{PMU-class}
\docType{class}
\alias{PMU-class}
\alias{lines,PMU-method}
\alias{plot,PMU,missing-method}
\alias{show,PMU-method}
\title{Class: PMU}
\description{The Partial Moments Utility Class}
\section{Objects from the Class}{
Objects are usually created by calls to the function \code{\link{pmUtility}}.
}
\section{Slots}{
	 \describe{
    \item{\code{data}:}{Data Vector}
    \item{\code{threshold}:}{Threshold value}
    \item{\code{urc}:}{Upper Tail Coefficent of Risk Aversion}
    \item{\code{lrc}:}{Lower Tail Coefficient of Risk Aversion}
    \item{\code{lmoment}:}{Lower Partial Moment}
    \item{\code{umoment}:}{Upper Partial Moment}
    \item{\code{utility}:}{The value of the utility function}
  }
}
\section{Extends}{
Class \code{"\linkS4class{PartialMoments}"}, directly.
}
\section{Methods}{
  \describe{
    \item{lines}{\code{signature(x = "PMU")}: Lines method }
    \item{plot}{\code{signature(x = "PMU", y = "missing")}: Plot method }
    \item{show}{\code{signature(object = "PMU")}: Show method }
	 }
}
\references{
Farinelli, S. and Tibiletti, L. , \emph{PSharpe thinking in asset ranking with one-sided measures}, European Journal of Operational Research
Volume 185, Issue 3, 16 March 2008, Pages 1542-1547.\cr
}
\author{ Alexios Ghalanos }
\examples{
showClass("PMU")
}
\keyword{classes}
