\name{PSRISK-class}
\docType{class}
\alias{PSRISK-class}
\alias{show,PSRISK-method}
\title{Class: Pedersen-Satchell Family of Risk Measures}
\description{
An object of class \code{\linkS4class{PSRISK}} holding the estimated values
and parameters of the risk function.
}
\section{Objects from the Class}{
Objects are usually created by calls to the function \code{\link{psRisk}}.
}
\section{Slots}{
	 \describe{
    \item{\code{A}:}{Object of class \code{"numeric"} The upper bound of the integration}
    \item{\code{b}:}{Object of class \code{"numeric"} The threshold value }
    \item{\code{a}:}{Object of class \code{"numeric"} The power in the inner equation (integrated)}
    \item{\code{h}:}{Object of class \code{"numeric"} The power in the outer equation }
    \item{\code{W}:}{Object of class \code{"function"} Additional function supplied by user }
    \item{\code{distribution}:}{Object of class \code{"character"} Distribution Name}
    \item{\code{fit}:}{Object of class \code{"vector"} List of distribution fit parameters }
    \item{\code{riskMeasure}:}{Object of class \code{"vector"} Value of resulting risk measure }
  }
}
\section{Methods}{
  \describe{
    \item{show}{\code{signature(object = "PSRISK")}: Show method }
	 }
}
\references{
Pedersen,C.S and Satchell,S.E (1998), \emph{An Extended Family of Financial-Risk Measures}, The Geneva Papers on Risk and Insurance Theory, 
23, 89--117\cr
}
\author{Alexios Ghalanos}
\note{
The Pedersen Satchell paper presented a sort of catch all measure of financial risk which captured many of the
most popular measures including the family of measure by Stone, Fishburn and others. The function is implemented
here in the pmoments package in its analytic form.
}
\examples{
showClass("PSRISK")
}
\keyword{classes}