\name{constraints-methods}
\docType{methods}
\alias{constraints-methods}
\alias{constraints}
\alias{constraints,vector,missing-method}
\alias{constraints,vector,vector-method}
\alias{constraints,missing,missing-method}
\title{Methods: Portfolio User Constraints}
\description{
Method for creating constraints prior to portfolio optimization. Allows for asset and group level constraints.
}
\usage{
constraints(forecasts, portfolioReturn, riskAversion = 1, budget = 1, riskFree=0, group = NA, groupUB = NA, groupLB = NA, assetsUB = NA, assetsLB = NA)
}
\arguments{
  \item{forecasts}{A data vector with the asset forecasts (Nx1).}
  \item{portfolioReturn}{ The expected portfolio level return constraint subject to the forecast vector (1x1).}
  \item{riskAversion}{ The risk aversion coefficient (1x1).}
  \item{riskFree}{ The risk free rate used to calculate the tangency portfolio (1x1).}
  \item{budget}{ The portfolio budget (sum of weights) constraint (1x1).}
  \item{group}{ Optional group level constraints (kxN).}
  \item{groupUB}{ Upper bound constraints of the group matrix(kx1).}
  \item{groupLB}{ Lower bound constraints of the group matrix(kx1). }
  \item{assetsUB}{ Upper bound constraints of the assets vector (Nx1).}
  \item{assetsLB}{ Upper bound constraints of the assets vector (Nx1).}
}
\value{
An object of class \code{\linkS4class{Constraints}}.
}
\section{Extends}{
Class \code{\linkS4class{Constraints}}, directly.
}
\author{Alexios Ghalanos}
\keyword{methods}
