\name{pcmExpectation-methods}
\docType{methods}
\alias{pcmExpectation-methods}
\alias{pcmExpectation}
\alias{pcmExpectation,ANY-method}
\alias{pcmExpectation,PME-method}
\alias{pcmExpectation,vector-method}
\title{Methods: Partial Co-Moments Expectation}
\description{
Implements the partial co-moments symmetric expectation approximation method, described 
in Nawrocki (1991), and passed to the quadratic optimization solver through the \code{\link{pmSolver}}
method.
}
\usage{
pcmExpectation(pme, corr, tail="lower", moment)
}
\arguments{
  \item{pme}{An object of class \code{\linkS4class{PME}} or a numeric vector with partial moments.}
  \item{corr}{ A correlation matrix.}
  \item{tail}{ Optional character vector indicating whether the lower or upper partial moments
  are being used to generate the co-moment matrix. Only suggested if the pme argument is a vector
  rather than a \code{\linkS4class{PME}} object which already contains this information.}
  \item{moment}{ The partial moment, required if the \dQuote{pme} argument is a vector
  rather than a \code{\linkS4class{PME}} object which already contains this information.}
}
\value{
An object of class \code{\linkS4class{PCME}}.
}
\references{
Nawrocki, David N. (1991), Optimal algorithms and lower partial moment: ex post results, Applied Economics, 23 (3), 465---70.\cr
}
\author{Alexios Ghalanos}
\keyword{methods}