﻿\name{pmoments-package}
\alias{pmoments-package}
\alias{pmoments}
\docType{package}
\title{The Partial Moments package}
\description{The Partial Moments package provides methods, both analytical and sample based, for calculating the partial moments of
a distribution or dataset. Additionally, it provides for the calculation of symmetric multivariate couterparts and portfolio
optimizer methods based on those.
}
\details{
\tabular{ll}{
Package: \tab pmoments\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2008-11-11\cr
License: \tab GPL\cr
LazyLoad: \tab yes\cr
Depends: \tab methods\cr
}
For multivariate datasets, the user should start by calling the \code{\link{pmExpectation}}, followed by \code{\link{pcmExpectation}} 
and finally the \code{\link{pmSolver}} for portfolio optimization (subject to constraints : see \code{\link{constraints}}).\cr
There is a relative amount of flexibility as to how the main function \code{\link{pmExpectation}} is called and with what combination
of inputs. The user should go through the detailed examples. Additionally, the function \code{\link{psRisk}} implements the family
of risk measures described in Pedersen and Satchell (1998), which among other interesting measures also subsumes partial moments.
}
\author{Alexios Ghalanos}
\references{
Stone, B. (1973), \emph{A General Class of Three-Parameter Risk Measures}, Journal of Finance, 28, 675-685\cr
Fishburn, P.C., \emph{Decision and Value Theory}, 1964, Wiley, New York\cr
Fishburn, P.C., \emph{Mean-Risk Analysis with Risk Associated with Below-Target Returns}, 1977, American Economic Review, 67, 116-126\cr
Nawrocki, David N. (1991), \emph{Optimal algorithms and lower partial moment: ex post results}, Applied Economics, 23 (3), 465-70.\cr
Farinelli, S. and Tibiletti, L. , \emph{Sharpe thinking in asset ranking with one-sided measures}, European Journal of Operational Research
Volume 185, Issue 3, 16 March 2008, Pages 1542-1547.\cr
Pedersen,C.S and Satchell,S.E (1998), \emph{An Extended Family of Financial-Risk Measures}, The Geneva Papers on Risk and Insurance Theory, 
23, 89-117\cr
}
\examples{
\dontrun{
library(MASS)
spx=SP500/100
lpm = pmExpectation(data=spx, method="boot", threshold=0, moment=seq(0,5,length.out=10), 
		type="lower", standardize=TRUE)
plot(lpm)
}}
