\name{solverConstraints-class}
\docType{class}
\alias{solverConstraints-class}
\title{Class: solverConstraints}
\description{
A diverse Solver Constraints Class which allows for user level constraints to be
translated into a number of solver type constraints dealing with such issues as
the direction of the inequality, the presence absence of upper and lower input
bounds and the presence absence of group level bounds. Should not be called by the
use directly.}
\section{Objects from the Class}{
Objects can be created by calling \code{\link{solverConstraints}}.
}
\section{Slots}{
	 \describe{
    \item{\code{call}:}{Object of class \code{"call"} ~~ }
    \item{\code{type}:}{Object of class \code{"character"} ~~ }
    \item{\code{direction}:}{Object of class \code{"numeric"} ~~ }
    \item{\code{Aineq}:}{Object of class \code{"matrix"} ~~ }
    \item{\code{bineq}:}{Object of class \code{"vector"} ~~ }
    \item{\code{Aeq}:}{Object of class \code{"matrix"} ~~ }
    \item{\code{beq}:}{Object of class \code{"vector"} ~~ }
    \item{\code{UB}:}{Object of class \code{"vector"} ~~ }
    \item{\code{LB}:}{Object of class \code{"vector"} ~~ }
  }
}
\section{Extends}{
Class \code{\linkS4class{Constraints}}, directly.
}
\author{ Alexios Ghalanos }
\note{The class is exposed for its general utility value and possible extensions
to the solvers used. It currently does not support equality only constraints which
would require setting of of slack variables.}
\examples{
showClass("solverConstraints")
}
\keyword{classes}