\name{userConstraints-class}
\docType{class}
\alias{userConstraints-class}
\alias{getassetsLB,userConstraints-method}
\alias{getassetsLB}
\alias{getassetsUB,userConstraints-method}
\alias{getassetsUB}
\alias{getbudget,userConstraints-method}
\alias{getbudget}
\alias{getforecasts,userConstraints-method}
\alias{getforecasts}
\alias{getgroup,userConstraints-method}
\alias{getgroup}
\alias{getgroupLB,userConstraints-method}
\alias{getgroupLB}
\alias{setriskFree<-,userConstraints-method}
\alias{setriskFree<-}
\alias{getriskFree,userConstraints-method}
\alias{getriskFree}
\alias{getgroupUB,userConstraints-method}
\alias{getgroupUB}
\alias{getportfolioReturn,userConstraints-method}
\alias{getportfolioReturn}
\alias{getriskAversion,userConstraints-method}
\alias{getriskAversion}
\alias{setassetsLB<-,userConstraints-method}
\alias{setassetsLB<-}
\alias{setassetsUB<-,userConstraints-method}
\alias{setassetsUB<-}
\alias{setbudget<-,userConstraints-method}
\alias{setbudget<-}
\alias{setforecasts<-,userConstraints-method}
\alias{setforecasts<-}
\alias{setgroup<-,userConstraints-method}
\alias{setgroup<-}
\alias{setgroupLB<-,userConstraints-method}
\alias{setgroupLB<-}
\alias{setgroupUB<-,userConstraints-method}
\alias{setgroupUB<-}
\alias{setportfolioReturn<-,userConstraints-method}
\alias{setportfolioReturn<-}
\alias{setriskAversion<-,userConstraints-method}
\alias{setriskAversion<-}
\alias{show,userConstraints-method}
\title{Class: userConstraints}
\description{The class holding the object from calling the \code{\link{constraints}} method. Methods exist for
setting and getting the sub-objects from this class.}
\section{Objects from the Class}{
Objects are usually created by calling the \code{\link{constraints}} method.
}
\section{Slots}{
\describe{
    \item{\code{call}:}{The function call.}
    \item{\code{forecasts}:}{ The numeric vector of forecasts.}
    \item{\code{portfolioReturn}:}{The expected portfolio level return constraint (1x1).}
    \item{\code{riskAversion}:}{ The risk aversion coefficient (1x1).}
    \item{\code{riskFree}:}{The risk free rate (1x1).}
    \item{\code{budget}:}{ Portfolio Budget Constraint(1x1). }
    \item{\code{group}:}{ Group level constraints (kxN).}
    \item{\code{groupUB}:}{ Upper bound constraints of the group matrix(kx1). }
    \item{\code{groupLB}:}{ Lower bound constraints of the group matrix(kx1). }
    \item{\code{assetsUB}:}{ Upper bound constraints of the assets vector (Nx1). }
    \item{\code{assetsLB}:}{ Lower bound constraints of the assets vector (Nx1). }
  }
}
\section{Extends}{
Class \code{"\linkS4class{Constraints}"}, directly.
}
\section{Methods}{
  \describe{
    \item{getassetsLB}{\code{signature(object = "userConstraints")}: ... }
    \item{getassetsUB}{\code{signature(object = "userConstraints")}: ... }
    \item{getbudget}{\code{signature(object = "userConstraints")}: ... }
    \item{getriskFree}{\code{signature(object = "userConstraints")}: ... }    
    \item{getforecasts}{\code{signature(object = "userConstraints")}: ... }
    \item{getgroup}{\code{signature(object = "userConstraints")}: ... }
    \item{getgroupLB}{\code{signature(object = "userConstraints")}: ... }
    \item{getgroupUB}{\code{signature(object = "userConstraints")}: ... }
    \item{getportfolioReturn}{\code{signature(object = "userConstraints")}: ... }
    \item{getriskAversion}{\code{signature(object = "userConstraints")}: ... }
    \item{pmSolver}{\code{signature(pcmExpectation = "PCME", userConstraints = "userConstraints")}: ... }
    \item{setassetsLB<-}{\code{signature(object = "userConstraints")}: ... }
    \item{setassetsUB<-}{\code{signature(object = "userConstraints")}: ... }
    \item{setbudget<-}{\code{signature(object = "userConstraints")}: ... }
    \item{setriskFree<-}{\code{signature(object = "userConstraints")}: ... }
    \item{setforecasts<-}{\code{signature(object = "userConstraints")}: ... }
    \item{setgroup<-}{\code{signature(object = "userConstraints")}: ... }
    \item{setgroupLB<-}{\code{signature(object = "userConstraints")}: ... }
    \item{setgroupUB<-}{\code{signature(object = "userConstraints")}: ... }
    \item{setportfolioReturn<-}{\code{signature(object = "userConstraints")}: ... }
    \item{setriskAversion<-}{\code{signature(object = "userConstraints")}: ... }
    \item{solverConstraints}{\code{signature(constraints = "userConstraints", type = "character", direction = "numeric")}: ... }
	 }
}
\author{ Alexios Ghalanos }
\seealso{
\code{\link{constraints}}
}
\examples{
# initialize a constraints object
myconstraints<-constraints()
# see what is contains
myconstraints
# Initialize it differently:
myconstraints<-constraints(forecasts=rep(0.01,10), portfolioReturn=0.01, 
			riskAversion = 1, budget = 1, riskFree=0.004, 
			group = matrix(c(1,1,1,1,0,0,1,0,0,1), nrow=1), 
			groupUB = 1, groupLB = -1, assetsUB = rep(0.25,10), 
			assetsLB = rep(-0.25,10))
# get individual components
getgroup(myconstraints)
# set indivisual components
setgroup(myconstraints)<-matrix(c(1,0,0,1,0,0,0,0,0,1), nrow=1)
# see what has changed
getgroup(myconstraints)
}
\keyword{classes}
